﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace StudentDemo
{
    public partial class AddPage : PhoneApplicationPage
    {
        public AddPage()
        {
            InitializeComponent();
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            if (txtId.Text.Trim() == "")
            {
                MessageBox.Show("学号不能为空");
                return;
            }
            if (txtName.Text.Trim() == "")
            {
                MessageBox.Show("姓名不能为空");
                return;
            }
            if (txtAddress.Text.Trim() == "")
            {
                MessageBox.Show("家庭住址不能为为空");
                return;
            }
            if (NavigationContext.QueryString.ContainsKey("action"))
            {
                string action = NavigationContext.QueryString["action"].ToString();
                if (action == "add")
                {
                    LINQHelper.AddStudentInfo(txtId.Text, txtName.Text, txtAddress.Text);
                }
                if (action == "update")
                {
                    txtId.IsReadOnly = true;
                    string schoolId = NavigationContext.QueryString["schoolId"].ToString();
                    //string name = NavigationContext.QueryString["name"].ToString();
                    //string address = NavigationContext.QueryString["address"].ToString();
                    //txtId.Text = schoolId;
                    //txtName.Text = name;
                    //txtAddress.Text = address;
                    LINQHelper.UpdateStudentInfo(schoolId, txtName.Text, txtAddress.Text);
                }
            }
            NavigationService.Navigate(new Uri("/MainPage.xaml", UriKind.Relative));

        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            NavigationService.GoBack();
        }

        private void PhoneApplicationPage_Loaded(object sender, RoutedEventArgs e)
        {
            if (NavigationContext.QueryString.ContainsKey("action"))
            {
                string action = NavigationContext.QueryString["action"].ToString();
                if (action == "update")
                {
                    txtId.IsReadOnly = true;
                    string schoolId = NavigationContext.QueryString["schoolId"].ToString();
                    string name = NavigationContext.QueryString["name"].ToString();
                    string address = NavigationContext.QueryString["address"].ToString();
                    txtId.Text = schoolId;
                    txtName.Text = name;
                    txtAddress.Text = address;
                }
            }
        }
    }
}